org.apache.torque.om.mapper

## Class StringMapper

- java.lang.Object
- - org.apache.torque.om.mapper.StringMapper

- All Implemented Interfaces:
    Serializable, RecordMapper<String>

      public class StringMapper
      extends Object
      implements RecordMapper<String>

  Maps a database record to a String.
  Version:
    $Id: StringMapper.java 1839288 2018-08-27 09:48:33Z tv $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringMapper()` Constructs a StringMapper with an offset of 0.
    `StringMapper(int offset)` Constructs a StringMapper with the given offset.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `processRow(ResultSet resultSet, int rowOffset, Criteria criteria)` Maps the current row in the result set to a String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringMapper

          public StringMapper()

      Constructs a StringMapper with an offset of 0.

    - #### StringMapper

          public StringMapper(int offset)

      Constructs a StringMapper with the given offset.
      Parameters:
        `offset` - the additional offset (0 based).

  - ### Method Detail

    - #### processRow

          public String processRow(ResultSet resultSet,
                                   int rowOffset,
                                   Criteria criteria)
                            throws TorqueException

      Maps the current row in the result set to a String.
      Specified by:
        `processRow` in interface `RecordMapper<String>`
      Parameters:
        `resultSet` - the result set to map, not null.
        `rowOffset` - a possible offset in the columns to be considered (if previous columns contain other objects), or 0 for no offset.
        `criteria` - The criteria which created the result set, or null if not known. This parameter is not used by this record mapper.
      Returns:
        the String retrieved from the result set.
      Throws:
        `TorqueException` - when the mapping fails.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.